<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler,log4net" />    
  </configSections>
  <startup useLegacyV2RuntimeActivationPolicy="true">
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5"/>
  </startup>  
    <connectionStrings>
      <!--<add name="CNN" connectionString="Provider=Microsoft.ACE.OLEDB.12.0;Data Source=C:\Project\04_REC\Source\WinApp\REC\DB\REC.mdb;Jet OLEDB:Database Password=ESREC" providerName="System.Data.OleDb"/>-->
    <add name="CNN" connectionString="Provider=Microsoft.ACE.OLEDB.12.0;Data Source=|AppPath|\DB\REC.mdb;Jet OLEDB:Database Password=ESREC" providerName="System.Data.OleDb"/>
    <add name="PayCN" connectionString="Provider=Microsoft.ACE.OLEDB.12.0;Data Source=|AppPath|\DB\PayBak.mdb;Jet OLEDB:Database Password=3fec1d7bdc67e1fd24ccd4545de6fc2e" providerName="System.Data.OleDb"/>
    <add name="TmpCNN" connectionString="Provider=Microsoft.ACE.OLEDB.12.0;Data Source=|AppPath|\DB\TmpREC_B.mdb;Jet OLEDB:Database Password=ESREC" providerName="System.Data.OleDb"/>
    <add name="RestoreCNN" connectionString="Provider=Microsoft.ACE.OLEDB.12.0;Data Source=|AppPath|\DB\Back.mdb;Jet OLEDB:Database Password=ESREC" providerName="System.Data.OleDb"/>
    <add name="OldVerCN" connectionString="Provider=Microsoft.ACE.OLEDB.12.0;Data Source=|AppPath|\DB\OldVer.mdb;" providerName="System.Data.OleDb" />
    <add name="ExcelCN" connectionString="Provider=Microsoft.ACE.OLEDB.12.0;Data Source=|FilePath|;Extended Properties='Excel 12.0;HDR=YES;IMEX=1'" providerName="System.Data.OleDb" />
    <add name="ExportExcelCN" connectionString="Provider=Microsoft.ACE.OLEDB.12.0;Data Source=|FilePath|;Extended Properties='Excel 12.0;HDR=YES;IMEX=0'" providerName="System.Data.OleDb" />
  </connectionStrings>
  <log4net>
    <appender name="RECLo\g" type="log4net.Appender.RollingFileAppender">
      <param name="File" value="Rec.log"/>
      <param name="AppendToFile" value="true"/>
      <param name="MaxSizeRollBackups" value="10"/>
      <param name="MaximumFileSize" value="10000000"/>
      <param name="RollingStyle" value="Size"/>
      <param name="StaticLogFileName" value="true"/>
      <layout type="log4net.Layout.PatternLayout">
        <param name="conversionPattern" value="%date [%thread] %-5level - %c - Line:%L - %message%newline" />
      </layout>
    </appender>
    <root>
      <level value="ALL" />
      <appender-ref ref="RECLo\g" />
    </root>
  </log4net>
  
  
  <appSettings>
    <!--<add key="log4netFile" value="log4net.config"/>-->
    <add key="ClientSettingsProvider.ServiceUri" value=""/>
  </appSettings>
  <system.web>
    <membership defaultProvider="ClientAuthenticationMembershipProvider">
      <providers>
        <add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri=""/>
      </providers>
    </membership>
    <roleManager defaultProvider="ClientRoleProvider" enabled="true">
      <providers>
        <add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400"/>
      </providers>
    </roleManager>
  </system.web>
</configuration>
